/*
 * Front gateway
 *
 * Front gateway
 *
 * API version: 0.0.1
 * Generated by: OpenAPI Generator (https://openapi-generator.tech)
 */

package openapi

type Unauthorized struct {

	Kind string `json:"kind,omitempty"`
}

// AssertUnauthorizedRequired checks if the required fields are not zero-ed
func AssertUnauthorizedRequired(obj Unauthorized) error {
	return nil
}

// AssertRecurseUnauthorizedRequired recursively checks if required fields are not zero-ed in a nested slice.
// Accepts only nested slice of Unauthorized (e.g. [][]Unauthorized), otherwise ErrTypeAssertionError is thrown.
func AssertRecurseUnauthorizedRequired(objSlice interface{}) error {
	return AssertRecurseInterfaceRequired(objSlice, func(obj interface{}) error {
		aUnauthorized, ok := obj.(Unauthorized)
		if !ok {
			return ErrTypeAssertionError
		}
		return AssertUnauthorizedRequired(aUnauthorized)
	})
}
